Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.dvcs
Class TargetEtcChain

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.dvcs.TargetEtcChain

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class TargetEtcChain
extends ASN1Object

TargetEtcChain ::= SEQUENCE { target CertEtcToken, chain SEQUENCE SIZE (1..MAX) OF CertEtcToken OPTIONAL, pathProcInput [0] PathProcInput OPTIONAL }

Constructor Summary
`TargetEtcChain(CertEtcToken target)`
`TargetEtcChain(CertEtcToken target, CertEtcToken[] chain)`
`TargetEtcChain(CertEtcToken target, CertEtcToken[] chain, PathProcInput pathProcInput)`
`TargetEtcChain(CertEtcToken target, PathProcInput pathProcInput)`

Method Summary
`static TargetEtcChain[]` | `arrayFromSequence(ASN1Sequence seq)`
`CertEtcToken[]` | `getChain()`
`static TargetEtcChain` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static TargetEtcChain` | `getInstance(java.lang.Object obj)`
`PathProcInput` | `getPathProcInput()`
`CertEtcToken` | `getTarget()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TargetEtcChain

    public TargetEtcChain(CertEtcToken target)

### TargetEtcChain

    public TargetEtcChain(CertEtcToken target,
                          CertEtcToken[] chain)

### TargetEtcChain

    public TargetEtcChain(CertEtcToken target,
                          PathProcInput pathProcInput)

### TargetEtcChain

    public TargetEtcChain(CertEtcToken target,
                          CertEtcToken[] chain,
                          PathProcInput pathProcInput)

Method Detail

### getInstance

    public static TargetEtcChain getInstance(java.lang.Object obj)

### getInstance

    public static TargetEtcChain getInstance(ASN1TaggedObject obj,
                                             boolean explicit)

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

### toString

    public java.lang.String toString()

### getTarget

    public CertEtcToken getTarget()

### getChain

    public CertEtcToken[] getChain()

### getPathProcInput

    public PathProcInput getPathProcInput()

### arrayFromSequence

    public static TargetEtcChain[] arrayFromSequence(ASN1Sequence seq)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD